#ifndef _DA7394_H
#define _DA7394_H


#include <avr/io.h>

#define DA_DDR		DDRB
#define DA_PORT		PORTB

#define DA_SS		PB2
#define DA_MOSI		PB3
#define DA_CLK		PB5

#define DA_CS		PB1
#define DA_OUT0		PB0
#define DA_OUT1		PB7

/*DA-Wandler:
Reset auf Vcc
SHDN auf Vcc*/

void da7394_init (void);

/*pin: 0 = Pin0, 1 = Pin1, 2 = both pins
value: 0...4095*/
extern void da7394_set_value (unsigned char pin, unsigned short value);

#endif
